VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Content::Library::Item::TransferEndpoint Class Reference
Inheritance diagram for Com::Vmware::Content::Library::Item::TransferEndpoint:

## Avaliable Methods
public method | set_ssl_certificate_thumbprint ()
public method | get_ssl_certificate_thumbprint ()
public method | new ()
public method | set_uri ()
public method | get_uri ()

## Detailed Description

The `Com::Vmware::Content::Library::Item::TransferEndpoint` class encapsulates a URI along with extra information about it.

## Member Function Documentation

public method Com::Vmware::Content::Library::Item::TransferEndpoint::get_ssl_certificate_thumbprint | ( |  | ) |

Gets the value of 'ssl_certificate_thumbprint' property.

Return values

  ssl_certificate_thumbprint | - The current value of the field. Thumbprint of the expected SSL certificate for this endpoint. Only used for HTTPS connections. The thumbprint is the SHA-1 hash of the DER encoding of the remote endpoint's SSL certificate. If set, the remote endpoint's SSL certificate is only accepted if it matches this thumbprint, and no other certificate validation is performed. Optional#

Code:
click to view
# Number of lines of code in get_ssl_certificate_thumbprint: 5
sub get_ssl_certificate_thumbprint {
my ($self, %args) = @_;
return $self->{'ssl_certificate_thumbprint'};
}

public method Com::Vmware::Content::Library::Item::TransferEndpoint::get_uri | ( |  | ) |

Gets the value of 'uri' property.

Return values

  uri | - The current value of the field. Transfer endpoint URI. The supported URI schemes are: `http` , `https` , `file` , and `ds` .

An endpoint URI with the `ds` scheme specifies the location of the file on the datastore. The format of the datastore URI is:

- ds:///vmfs/volumes/uuid/path

Some examples of valid file URI formats are:

- file:///path
- file:///C:/path
- file://unc-server/path

When the transfer endpoint is a file or datastore location, the server can import the file directly from the storage backing without the overhead of streaming over HTTP.

URI#

Code:
click to view
# Number of lines of code in get_uri: 5
sub get_uri {
my ($self, %args) = @_;
return $self->{'uri'};
}

public method Com::Vmware::Content::Library::Item::TransferEndpoint::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Content::Library::Item::TransferEndpoint structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 19
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{uri} = $args{'uri'};
$self->{ssl_certificate_thumbprint} = $args{'ssl_certificate_thumbprint'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Content::Library::Item::TransferEndpoint');
$self->set_binding_name('name' => 'com.vmware.content.library.item.transfer_endpoint');
$self->set_binding_field('key' => 'uri', 'value' => new Com::Vmware::Vapi::Bindings::Type::URIType());
$self->set_binding_field('key' => 'ssl_certificate_thumbprint', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::StringType()));
bless $self, $class;
return $self;
}

public method Com::Vmware::Content::Library::Item::TransferEndpoint::set_ssl_certificate_thumbprint | ( |  | ) |

Sets the given value for 'ssl_certificate_thumbprint' property.

Parameters

  ssl_certificate_thumbprint | - New value for the field. Thumbprint of the expected SSL certificate for this endpoint. Only used for HTTPS connections. The thumbprint is the SHA-1 hash of the DER encoding of the remote endpoint's SSL certificate. If set, the remote endpoint's SSL certificate is only accepted if it matches this thumbprint, and no other certificate validation is performed.

Code:
click to view
# Number of lines of code in set_ssl_certificate_thumbprint: 10
sub set_ssl_certificate_thumbprint {
my ($self, %args) = @_;
$self->{'ssl_certificate_thumbprint'} = $args{'ssl_certificate_thumbprint'};
return;
}
1;

public method Com::Vmware::Content::Library::Item::TransferEndpoint::set_uri | ( |  | ) |

Sets the given value for 'uri' property.

Parameters

  uri | - New value for the field. Transfer endpoint URI. The supported URI schemes are: `http` , `https` , `file` , and `ds` .

An endpoint URI with the `ds` scheme specifies the location of the file on the datastore. The format of the datastore URI is:

- ds:///vmfs/volumes/uuid/path

Some examples of valid file URI formats are:

- file:///path
- file:///C:/path
- file://unc-server/path

When the transfer endpoint is a file or datastore location, the server can import the file directly from the storage backing without the overhead of streaming over HTTP.

Code:
click to view
# Number of lines of code in set_uri: 6
sub set_uri {
my ($self, %args) = @_;
$self->{'uri'} = $args{'uri'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Content/Library/Item/TransferEndpoint.pm